Do you have an Apple device? If so then you should be aware that the company recently issued an OS update that includes Macs, iPads, and iPhones.

You’ll want to update to iOS 14.7.1 or iPadOS 14.7.1 immediately if you have not already done so because this version includes a patch for a high severity security flaw that hackers are actively exploiting in the wild.

The security issue is being tracked as CVE-2021-30807. It allows a hacker to execute arbitrary code with kernel privileges. This is a memory issue at the root. Apple addressed it in the patch referenced above via improved memory handling routines.

The latest OS version provides a raft of other enhancements and useful features in addition to resolving the security issue. The new features make it well worth getting. However it’s the bug fix that makes this one essential.

This is an update you’ll want to prioritize even if you’re normally not big on grabbing the latest bug fixes and patches as soon as they are available. The fact that hackers are already actively exploiting the flaw referenced above makes upgrading as soon as possible absolutely essential.

If your company has a fairly permissive “Bring Your Own Device” policy you may want to consider requiring all Apple devices to have the latest patch applied before they connect to your network in order to minimize your risk. Even if you don’t use Apple equipment in your office but you’ve got some of the company’s products at home you will want this update and you’ll want to make it a priority.

Kudos to the unnamed researcher who discovered the issue and to Apple for their rapid response in updating the OS’s in their ecosystem to make them safer and more secure.

Used with permission from Article Aggregator

Contact Us Now!